%define name	googleearth
%define rel	1

# NOTE: To update this package:
# 1. use Source2 in sourcedir to regenerate filelist and print new %version, %md5sum and %realrequires
# 2. update the section below with those values
# 3. changelog entry as usual ;)
# 4. test that the package installs correctly

# start replace
%define version 6.0.1.2032
%define md5sum  737743e5ce9f464d555a2a829baebea4
%define realrequires libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.2.3) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.4) libdl.so.2 libdl.so.2(GLIBC_2.0) libdl.so.2(GLIBC_2.1) libfontconfig.so.1 libfreetype.so.6 libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libGL.so.1 libICE.so.6 libm.so.6 libm.so.6(GLIBC_2.0) libm.so.6(GLIBC_2.1) libm.so.6(GLIBC_2.2) libpthread.so.0 libpthread.so.0(GLIBC_2.0) libpthread.so.0(GLIBC_2.1) libpthread.so.0(GLIBC_2.1.1) libpthread.so.0(GLIBC_2.2) libpthread.so.0(GLIBC_2.3.2) librt.so.1 librt.so.1(GLIBC_2.2) libSM.so.6 libstdc++.so.6 libstdc++.so.6(GLIBCXX_3.4) libstdc++.so.6(GLIBCXX_3.4.5) libX11.so.6 libXext.so.6 libXrender.so.1 libz.so.1 rtld(GNU_HASH)
# end replace

%define downurl	http://dl.google.com/earth/client/current/GoogleEarthLinux.bin
%define filename GoogleEarthLinux.bin

%define distsuffix plf

Summary:	Google Earth - Explore, Search and Discover
Name:		%name
Version:	%version
Release:	%rel
URL:		http://earth.google.com/
#Source:		http://dl.google.com/earth/client/current/GoogleEarthLinux.bin
# automatic downloader script
Source0:	download-googleearth.in
# automatically generated file list
Source1:	googleearth-files-%version.list
# generates googleearth-files-%version.list to current dir, prints macros
Source2:	googleearth-updatepackage
# mime types
Source3:	googleearth-mimetypes.xml
License:	Proprietary
Group:		Networking/Other
#ExclusiveArch:	%86_64
Requires:	%realrequires
Requires:	redhat-lsb
Requires:	curl
Requires(post):	curl
Requires:	ImageMagick
Requires(post):	ImageMagick
Requires(post):	desktop-file-utils
Requires(post):	shared-mime-info
Requires(postun): desktop-file-utils
Requires(postun): shared-mime-info
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
The idea is simple. It's a globe that sits inside your PC. You point
and zoom to anyplace on the planet that you want to explore.
Satellite images and local facts zoom into view. Tap into Google
search to show local points of interest and facts. Zoom to a
specific address to check out an apartment or hotel. View driving
directions and even fly along your route. We invite you to try it
now.

NOTE: This package does not contain the Google Eearth itself. The
software will be automatically downloaded from Google during package
installation. Alternatively you can use the command
"download-googleearth" manually.

This package is in PLF because it installs software with non-free
license.

%prep
%setup -c -T

cat > download-googleearth <<EOF
#!/bin/sh
TARBALLDIR="/tmp"
FILENAME="%filename"
MD5SUM="%md5sum"
URL1="%downurl"
URL2=""

do_installation() {
	set -e
	rm -rf /tmp/%{name}-pkg
	mkdir /tmp/%{name}-pkg
	cd /tmp/%{name}-pkg
	export DISPLAY=
	sh \$TARBALLDIR/\$FILENAME --target . --noexec
	tar -xf googleearth-linux-x86.tar -C %{_libdir}/%{name}
	tar -xf googleearth-data.tar -C %{_libdir}/%{name}
	# Does not exist as of 4.2.180.1134
	#cp -a EULA-GoogleEarth-en.html %{_libdir}/%{name}
	chown -R root %{_libdir}/%{name}
	chgrp -R root %{_libdir}/%{name}
	convert googleearth-icon.png -resize 16x16 %{_miconsdir}/%{name}.png
	convert googleearth-icon.png -resize 32x32 %{_iconsdir}/%{name}.png
	convert googleearth-icon.png -resize 48x48 %{_liconsdir}/%{name}.png
	
	cat > %{_bindir}/googleearth <<-FOE
	#!/bin/sh
	cd %{_libdir}/%{name}
	export LD_LIBRARY_PATH=.:\\\$LD_LIBRARY_PATH
	exec "./googleearth-bin" "\\\$@"
	FOE
	chmod 0755 %{_bindir}/googleearth
	cd /tmp
	rm -rf /tmp/%{name}-pkg
	rm -f $TARBALLDIR/%filename
}
EOF

cat %SOURCE0 >> download-googleearth

cp -a %SOURCE1 %SOURCE3 .

%install
rm -rf %{buildroot}

install -d -m755 %{buildroot}%{_datadir}/mime/packages
install -m644 googleearth-mimetypes.xml %{buildroot}%{_datadir}/mime/packages

install -d -m755 %{buildroot}%{_sbindir}
install -m755 download-googleearth %{buildroot}%{_sbindir}

install -d -m755 %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Google Earth
GenericName=3D planet viewer
Comment=Explore, search and discover the planet
Exec=%{_bindir}/googleearth %%f
TryExec=%{_bindir}/googleearth
Terminal=false
Type=Application
Icon=googleearth
Categories=Network;X-MandrivaLinux-Internet-Other;Qt;
MimeType=application/vnd.google-earth.kml+xml;application/vnd.google-earth.kmz;application/earthviewer;application/keyhole
EOF

install -d -m755 %{buildroot}%{_miconsdir}
install -d -m755 %{buildroot}%{_iconsdir}
install -d -m755 %{buildroot}%{_liconsdir}
touch %{buildroot}%{_miconsdir}/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
touch %{buildroot}%{_liconsdir}/%{name}.png

install -d -m755 %{buildroot}%{_bindir}
touch %{buildroot}%{_bindir}/%{name}

install -d -m755 %{buildroot}%{_libdir}/%{name}
#touch %{buildroot}%{_libdir}/%{name}/EULA-GoogleEarth-en.html

rm -f googleearth-rpm.files
echo Silencing instead of listing the long googleearth filelist
set +x
cat googleearth-files-%version.list | while read file; do
	if [ -z "${file##*/}" ]; then
		install -d -m755 %{buildroot}%{_libdir}/%{name}/$file
		echo "%%dir %%{_libdir}/%%{name}/$file" >> googleearth-rpm.files
	else
		touch %{buildroot}%{_libdir}/%{name}/$file
		echo "%%ghost %%{_libdir}/%%{name}/$file" >> googleearth-rpm.files
	fi
done
set -x

%post
%{_sbindir}/download-googleearth


%clean
rm -rf %{buildroot}

%files -f googleearth-rpm.files
%defattr(-,root,root)
%{_sbindir}/download-googleearth
%dir %{_libdir}/%{name}
#ghost %{_libdir}/%{name}/EULA-GoogleEarth-en.html
%ghost %{_bindir}/googleearth
%ghost %{_miconsdir}/%{name}.png
%ghost %{_iconsdir}/%{name}.png
%ghost %{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*.xml

%changelog
* Sun Aug 22 2010 Guillaume Rousse <guillomovitch@mandriva.org> 5.2.1.1547-1plf2011.0
- new version

* Sun Mar 14 2010 Guillaume Rousse <guillomovitch@zarb.org> 5.1.3533.1731-2plf2010.1
- use /tmp for downloading file, no need to use a specific permanent directory
- drop useless %post/%postun content, now handled by filetriggers

* Sat Jan 16 2010 Guillaume Rousse <guillomovitch@zarb.org> 5.1.3533.1731-1plf2010.0
- 5.1.3533.1731

* Sat Jul 18 2009 Guillaume Rousse <guillomovitch@zarb.org> 5.0.11733.9347-1plf2010.0
- 5.0.11733.9347

* Sun Sep 07 2008 Anssi Hannula <anssi@zarb.org> 4.3.7284.3916-1plf2009.0
- 4.3.7284.3916

* Thu May 01 2008 Anssi Hannula <anssi@zarb.org> 4.3.7204.836-1plf2009.0
- 4.3.7204.836

* Wed Apr 16 2008 Anssi Hannula <anssi@zarb.org> 4.3.7191.6508-1plf2009.0
- 4.3.7191.6508

* Tue Dec 04 2007 Anssi Hannula <anssi@zarb.org> 4.2.205.5730-1plf2008.1
- 4.2.205.5730 (#177)

* Mon Sep 17 2007 Anssi Hannula <anssi@zarb.org> 4.2.198.2451-1plf2008.0
- 4.2.198.2451

* Sun Sep 09 2007 Anssi Hannula <anssi@zarb.org> 4.2.180.1134-1plf2008.0
- 4.2.180.1134

* Wed May 09 2007 Anssi Hannula <anssi@zarb.org> 4.1.7076.4458-1plf2007.1
- 4.1.7076.4458

* Fri Feb 02 2007 Anssi Hannula <anssi@zarb.org> 4.0.2735.0-1plf2007.1
- 4.0.2735.0

* Sat Jan 06 2007 Anssi Hannula <anssi@zarb.org> 4.0.2723.0-1plf2007.1
- 4.0.2723.0

* Sat Dec 16 2006 Anssi Hannula <anssi@zarb.org> 4.0.2693.0-1plf2007.1
- 4.0.2693.0

* Sat Dec 09 2006 Anssi Hannula <anssi@zarb.org> 4.0.2414-1plf2007.1
- 4.0.2414
- rewrite .spec to use download-on-install due to licensing

* Sat Sep 23 2006 Anssi Hannula <anssi@zarb.org> 4.0.2091-1plf2007.0
- 4.0.2091
- fix xdg menu entry
- standardize PLF reason

* Sat Jul 22 2006 Anssi Hannula <anssi@zarb.org> 4.0.1693-1plf2007.0
- 4.0.1693

* Tue Jun 13 2006 Anssi Hannula <anssi@zarb.org> 4.0.1563-1plf2007.0
- initial PLF release
